
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR__EMIFA_1_H_
#define _CSLR__EMIFA_1_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 RCSR;
    volatile Uint32 AWCCR;
    volatile Uint32 SDBCR;
    volatile Uint32 SDRCR;
    volatile Uint32 A1CR;
    volatile Uint32 A2CR;
    volatile Uint32 A3CR;
    volatile Uint32 A4CR;
    volatile Uint32 SDTIMR;
    volatile Uint32 SDRSTAT;
    volatile Uint32 DDRPHYCR;
    volatile Uint32 DDRPHYSR;
    volatile Uint32 SDRACCR;
    volatile Uint32 SDRACT;
    volatile Uint32 DDRPHYREV;
    volatile Uint32 SDRSRPDEXIT;
    volatile Uint32 IRR;
    volatile Uint32 IMR;
    volatile Uint32 IMSR;
    volatile Uint32 IMCR;
    volatile Uint32 IOCR;
    volatile Uint32 IOSR;
    volatile Uint8 RSVD0[4];
    volatile Uint32 ONENANDFCR;
    volatile Uint32 NANDFCTL;
    volatile Uint32 NANDFSR;
    volatile Uint32 PMCR;
    volatile Uint8 RSVD1[4];
    volatile Uint32 NFECCCS2;
    volatile Uint32 NFECCCS3;
    volatile Uint32 NFECCCS4;
    volatile Uint32 NFECCCS5;
    volatile Uint8 RSVD2[4];
    volatile Uint32 IODFTEXECNT;
    volatile Uint32 IODFTGBLCTRL;
    volatile Uint8 RSVD3[4];
    volatile Uint32 IODFTMISRLSB;
    volatile Uint32 IODFTMISRMID;
    volatile Uint32 IODFTMISRMSB;
    volatile Uint8 RSVD4[20];
    volatile Uint32 MODRELNUM;
    volatile Uint8 RSVD5[8];
    volatile Uint32 NANDF4BECCLR;
    volatile Uint32 NANDF4BECC1R;
    volatile Uint32 NANDF4BECC2R;
    volatile Uint32 NANDF4BECC3R;
    volatile Uint32 NANDF4BECC4R;
    volatile Uint32 NANDFEA1R;
    volatile Uint32 NANDFEA2R;
    volatile Uint32 NANDFEV1R;
    volatile Uint32 NANDFEV2R;
} CSL_AemifRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* RCSR */

#define CSL_EMIFA_RCSR_BE_MASK (0x80000000u)
#define CSL_EMIFA_RCSR_BE_SHIFT (0x0000001Fu)
#define CSL_EMIFA_RCSR_BE_RESETVAL (0x00000000u)

#define CSL_EMIFA_RCSR_FR_MASK (0x40000000u)
#define CSL_EMIFA_RCSR_FR_SHIFT (0x0000001Eu)
#define CSL_EMIFA_RCSR_FR_RESETVAL (0x00000000u)

#define CSL_EMIFA_RCSR_MODID_MASK (0x3FFF0000u)
#define CSL_EMIFA_RCSR_MODID_SHIFT (0x00000010u)
#define CSL_EMIFA_RCSR_MODID_RESETVAL (0x00000000u)

#define CSL_EMIFA_RCSR_MAJREV_MASK (0x0000FF00u)
#define CSL_EMIFA_RCSR_MAJREV_SHIFT (0x00000008u)
#define CSL_EMIFA_RCSR_MAJREV_RESETVAL (0x00000002u)

#define CSL_EMIFA_RCSR_MINREV_MASK (0x000000FFu)
#define CSL_EMIFA_RCSR_MINREV_SHIFT (0x00000000u)
#define CSL_EMIFA_RCSR_MINREV_RESETVAL (0x00000005u)

#define CSL_EMIFA_RCSR_RESETVAL (0x00000205u)

/* AWCCR */




#define CSL_EMIFA_AWCCR_WP0_MASK (0x10000000u)
#define CSL_EMIFA_AWCCR_WP0_SHIFT (0x0000001Cu)
#define CSL_EMIFA_AWCCR_WP0_RESETVAL (0x00000001u)
/*----WP0 Tokens----*/
#define CSL_EMIFA_AWCCR_WP0_WAITLOW (0x00000000u)
#define CSL_EMIFA_AWCCR_WP0_WAITHIGH (0x00000001u)


#define CSL_EMIFA_AWCCR_CS5WAIT_MASK (0x00C00000u)
#define CSL_EMIFA_AWCCR_CS5WAIT_SHIFT (0x00000016u)
#define CSL_EMIFA_AWCCR_CS5WAIT_RESETVAL (0x00000000u)
/*----CS5WAIT Tokens----*/
#define CSL_EMIFA_AWCCR_CS5WAIT_WAIT0 (0x00000000u)

#define CSL_EMIFA_AWCCR_CS4WAIT_MASK (0x00300000u)
#define CSL_EMIFA_AWCCR_CS4WAIT_SHIFT (0x00000014u)
#define CSL_EMIFA_AWCCR_CS4WAIT_RESETVAL (0x00000000u)
/*----CS4WAIT Tokens----*/
#define CSL_EMIFA_AWCCR_CS4WAIT_WAIT0 (0x00000000u)

#define CSL_EMIFA_AWCCR_CS3WAIT_MASK (0x000C0000u)
#define CSL_EMIFA_AWCCR_CS3WAIT_SHIFT (0x00000012u)
#define CSL_EMIFA_AWCCR_CS3WAIT_RESETVAL (0x00000000u)
/*----CS3WAIT Tokens----*/
#define CSL_EMIFA_AWCCR_CS3WAIT_WAIT0 (0x00000000u)

#define CSL_EMIFA_AWCCR_CS2WAIT_MASK (0x00030000u)
#define CSL_EMIFA_AWCCR_CS2WAIT_SHIFT (0x00000010u)
#define CSL_EMIFA_AWCCR_CS2WAIT_RESETVAL (0x00000000u)
/*----CS2WAIT Tokens----*/
#define CSL_EMIFA_AWCCR_CS2WAIT_WAIT0 (0x00000000u)


#define CSL_EMIFA_AWCCR_MAXEXTWAIT_MASK (0x000000FFu)
#define CSL_EMIFA_AWCCR_MAXEXTWAIT_SHIFT (0x00000000u)
#define CSL_EMIFA_AWCCR_MAXEXTWAIT_RESETVAL (0x00000080u)

#define CSL_EMIFA_AWCCR_RESETVAL (0xF0000080u)

/* SDBCR */

#define CSL_EMIFA_SDBCR_SR_MASK (0x80000000u)
#define CSL_EMIFA_SDBCR_SR_SHIFT (0x0000001Fu)
#define CSL_EMIFA_SDBCR_SR_RESETVAL (0x00000000u)
/*----SR Tokens----*/
#define CSL_EMIFA_SDBCR_SR_SELFREF (0x00000001u)

#define CSL_EMIFA_SDBCR_PD_MASK (0x40000000u)
#define CSL_EMIFA_SDBCR_PD_SHIFT (0x0000001Eu)
#define CSL_EMIFA_SDBCR_PD_RESETVAL (0x00000000u)
/*----PD Tokens----*/
#define CSL_EMIFA_SDBCR_PD_PWRDN (0x00000001u)

#define CSL_EMIFA_SDBCR_PDWR_MASK (0x20000000u)
#define CSL_EMIFA_SDBCR_PDWR_SHIFT (0x0000001Du)
#define CSL_EMIFA_SDBCR_PDWR_RESETVAL (0x00000000u)
/*----PDWR Tokens----*/
#define CSL_EMIFA_SDBCR_PDWR_PWRDNREF (0x00000001u)


#define CSL_EMIFA_SDBCR_DDRDRIVE_MASK (0x00020000u)
#define CSL_EMIFA_SDBCR_DDRDRIVE_SHIFT (0x00000011u)
#define CSL_EMIFA_SDBCR_DDRDRIVE_RESETVAL (0x00000000u)
/*----DDRDRIVE Tokens----*/
#define CSL_EMIFA_SDBCR_DDRDRIVE_NORM (0x00000000u)
#define CSL_EMIFA_SDBCR_DDRDRIVE_WEAK (0x00000001u)

#define CSL_EMIFA_SDBCR_BIT_17_LOCK_MASK (0x00010000u)
#define CSL_EMIFA_SDBCR_BIT_17_LOCK_SHIFT (0x00000010u)
#define CSL_EMIFA_SDBCR_BIT_17_LOCK_RESETVAL (0x00000000u)
/*----BIT_17_LOCK Tokens----*/
#define CSL_EMIFA_SDBCR_BIT_17_LOCK_LOCK (0x00000000u)
#define CSL_EMIFA_SDBCR_BIT_17_LOCK_UNLOCK (0x00000001u)


#define CSL_EMIFA_SDBCR_NM_MASK (0x00004000u)
#define CSL_EMIFA_SDBCR_NM_SHIFT (0x0000000Eu)
#define CSL_EMIFA_SDBCR_NM_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDBCR_DISDDRDLL_MASK (0x00002000u)
#define CSL_EMIFA_SDBCR_DISDDRDLL_SHIFT (0x0000000Du)
#define CSL_EMIFA_SDBCR_DISDDRDLL_RESETVAL (0x00000000u)
/*----DISDDRDLL Tokens----*/
#define CSL_EMIFA_SDBCR_DISDDRDLL_DISABLE (0x00000001u)

#define CSL_EMIFA_SDBCR_BIT_13_LOCK_MASK (0x00001000u)
#define CSL_EMIFA_SDBCR_BIT_13_LOCK_SHIFT (0x0000000Cu)
#define CSL_EMIFA_SDBCR_BIT_13_LOCK_RESETVAL (0x00000000u)
/*----BIT_13_LOCK Tokens----*/
#define CSL_EMIFA_SDBCR_BIT_13_LOCK_LOCK (0x00000000u)
#define CSL_EMIFA_SDBCR_BIT_13_LOCK_UNLOCK (0x00000001u)

#define CSL_EMIFA_SDBCR_CL_MASK (0x00000E00u)
#define CSL_EMIFA_SDBCR_CL_SHIFT (0x00000009u)
#define CSL_EMIFA_SDBCR_CL_RESETVAL (0x00000005u)
/*----CL Tokens----*/
#define CSL_EMIFA_SDBCR_CL_CASLAT2 (0x00000002u)
#define CSL_EMIFA_SDBCR_CL_CASLAT3 (0x00000003u)
#define CSL_EMIFA_SDBCR_CL_CASLAT4 (0x00000004u)
#define CSL_EMIFA_SDBCR_CL_CASLAT5 (0x00000005u)

#define CSL_EMIFA_SDBCR_BIT_11_9_LOCK_MASK (0x00000100u)
#define CSL_EMIFA_SDBCR_BIT_11_9_LOCK_SHIFT (0x00000008u)
#define CSL_EMIFA_SDBCR_BIT_11_9_LOCK_RESETVAL (0x00000000u)
/*----BIT_11_9_LOCK Tokens----*/
#define CSL_EMIFA_SDBCR_BIT_11_9_LOCK_LOCK (0x00000000u)
#define CSL_EMIFA_SDBCR_BIT_11_9_LOCK_UNLOCK (0x00000001u)


#define CSL_EMIFA_SDBCR_IBANK_MASK (0x00000070u)
#define CSL_EMIFA_SDBCR_IBANK_SHIFT (0x00000004u)
#define CSL_EMIFA_SDBCR_IBANK_RESETVAL (0x00000002u)
/*----IBANK Tokens----*/
#define CSL_EMIFA_SDBCR_IBANK_1BANK (0x00000000u)
#define CSL_EMIFA_SDBCR_IBANK_2BANK (0x00000001u)
#define CSL_EMIFA_SDBCR_IBANK_4BANK (0x00000002u)

#define CSL_EMIFA_SDBCR_EBANK_MASK (0x00000008u)
#define CSL_EMIFA_SDBCR_EBANK_SHIFT (0x00000003u)
#define CSL_EMIFA_SDBCR_EBANK_RESETVAL (0x00000000u)
/*----EBANK Tokens----*/
#define CSL_EMIFA_SDBCR_EBANK_CS0 (0x00000000u)
#define CSL_EMIFA_SDBCR_EBANK_CS0_CS1 (0x00000001u)

#define CSL_EMIFA_SDBCR_PAGESIZE_MASK (0x00000007u)
#define CSL_EMIFA_SDBCR_PAGESIZE_SHIFT (0x00000000u)
#define CSL_EMIFA_SDBCR_PAGESIZE_RESETVAL (0x00000000u)
/*----PAGESIZE Tokens----*/
#define CSL_EMIFA_SDBCR_PAGESIZE_P256 (0x00000000u)
#define CSL_EMIFA_SDBCR_PAGESIZE_P512 (0x00000001u)
#define CSL_EMIFA_SDBCR_PAGESIZE_P1024 (0x00000002u)
#define CSL_EMIFA_SDBCR_PAGESIZE_P2048 (0x00000003u)

#define CSL_EMIFA_SDBCR_RESETVAL (0x00000A20u)

/* SDRCR */


#define CSL_EMIFA_SDRCR_DDRREFTHR_MASK (0x00070000u)
#define CSL_EMIFA_SDRCR_DDRREFTHR_SHIFT (0x00000010u)
#define CSL_EMIFA_SDRCR_DDRREFTHR_RESETVAL (0x00000000u)


#define CSL_EMIFA_SDRCR_RR_MASK (0x0000FFFFu)
#define CSL_EMIFA_SDRCR_RR_SHIFT (0x00000000u)
#define CSL_EMIFA_SDRCR_RR_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDRCR_RESETVAL (0x00000000u)

/* A1CR */

#define CSL_EMIFA_A1CR_SS_MASK (0x80000000u)
#define CSL_EMIFA_A1CR_SS_SHIFT (0x0000001Fu)
#define CSL_EMIFA_A1CR_SS_RESETVAL (0x00000000u)
/*----SS Tokens----*/
#define CSL_EMIFA_A1CR_SS_DISABLE (0x00000000u)
#define CSL_EMIFA_A1CR_SS_ENABLE (0x00000001u)

#define CSL_EMIFA_A1CR_EW_MASK (0x40000000u)
#define CSL_EMIFA_A1CR_EW_SHIFT (0x0000001Eu)
#define CSL_EMIFA_A1CR_EW_RESETVAL (0x00000000u)
/*----EW Tokens----*/
#define CSL_EMIFA_A1CR_EW_DISABLE (0x00000000u)
#define CSL_EMIFA_A1CR_EW_ENABLE (0x00000001u)

#define CSL_EMIFA_A1CR_WSETUP_MASK (0x3C000000u)
#define CSL_EMIFA_A1CR_WSETUP_SHIFT (0x0000001Au)
#define CSL_EMIFA_A1CR_WSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A1CR_WSTROBE_MASK (0x03F00000u)
#define CSL_EMIFA_A1CR_WSTROBE_SHIFT (0x00000014u)
#define CSL_EMIFA_A1CR_WSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A1CR_WHOLD_MASK (0x000E0000u)
#define CSL_EMIFA_A1CR_WHOLD_SHIFT (0x00000011u)
#define CSL_EMIFA_A1CR_WHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A1CR_RSETUP_MASK (0x0001E000u)
#define CSL_EMIFA_A1CR_RSETUP_SHIFT (0x0000000Du)
#define CSL_EMIFA_A1CR_RSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A1CR_RSTROBE_MASK (0x00001F80u)
#define CSL_EMIFA_A1CR_RSTROBE_SHIFT (0x00000007u)
#define CSL_EMIFA_A1CR_RSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A1CR_RHOLD_MASK (0x00000070u)
#define CSL_EMIFA_A1CR_RHOLD_SHIFT (0x00000004u)
#define CSL_EMIFA_A1CR_RHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A1CR_TA_MASK (0x0000000Cu)
#define CSL_EMIFA_A1CR_TA_SHIFT (0x00000002u)
#define CSL_EMIFA_A1CR_TA_RESETVAL (0x00000003u)

#define CSL_EMIFA_A1CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFA_A1CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFA_A1CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFA_A1CR_ASIZE_8BITS (0x00000000u)
#define CSL_EMIFA_A1CR_ASIZE_16BITS (0x00000001u)

#define CSL_EMIFA_A1CR_RESETVAL (0x3FFFFFFCu)

/* A2CR */

#define CSL_EMIFA_A2CR_SS_MASK (0x80000000u)
#define CSL_EMIFA_A2CR_SS_SHIFT (0x0000001Fu)
#define CSL_EMIFA_A2CR_SS_RESETVAL (0x00000000u)
/*----SS Tokens----*/
#define CSL_EMIFA_A2CR_SS_DISABLE (0x00000000u)
#define CSL_EMIFA_A2CR_SS_ENABLE (0x00000001u)

#define CSL_EMIFA_A2CR_EW_MASK (0x40000000u)
#define CSL_EMIFA_A2CR_EW_SHIFT (0x0000001Eu)
#define CSL_EMIFA_A2CR_EW_RESETVAL (0x00000000u)
/*----EW Tokens----*/
#define CSL_EMIFA_A2CR_EW_DISABLE (0x00000000u)
#define CSL_EMIFA_A2CR_EW_ENABLE (0x00000001u)

#define CSL_EMIFA_A2CR_WSETUP_MASK (0x3C000000u)
#define CSL_EMIFA_A2CR_WSETUP_SHIFT (0x0000001Au)
#define CSL_EMIFA_A2CR_WSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A2CR_WSTROBE_MASK (0x03F00000u)
#define CSL_EMIFA_A2CR_WSTROBE_SHIFT (0x00000014u)
#define CSL_EMIFA_A2CR_WSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A2CR_WHOLD_MASK (0x000E0000u)
#define CSL_EMIFA_A2CR_WHOLD_SHIFT (0x00000011u)
#define CSL_EMIFA_A2CR_WHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A2CR_RSETUP_MASK (0x0001E000u)
#define CSL_EMIFA_A2CR_RSETUP_SHIFT (0x0000000Du)
#define CSL_EMIFA_A2CR_RSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A2CR_RSTROBE_MASK (0x00001F80u)
#define CSL_EMIFA_A2CR_RSTROBE_SHIFT (0x00000007u)
#define CSL_EMIFA_A2CR_RSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A2CR_RHOLD_MASK (0x00000070u)
#define CSL_EMIFA_A2CR_RHOLD_SHIFT (0x00000004u)
#define CSL_EMIFA_A2CR_RHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A2CR_TA_MASK (0x0000000Cu)
#define CSL_EMIFA_A2CR_TA_SHIFT (0x00000002u)
#define CSL_EMIFA_A2CR_TA_RESETVAL (0x00000003u)

#define CSL_EMIFA_A2CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFA_A2CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFA_A2CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFA_A2CR_ASIZE_8BITS (0x00000000u)
#define CSL_EMIFA_A2CR_ASIZE_16BITS (0x00000001u)

#define CSL_EMIFA_A2CR_RESETVAL (0x3FFFFFFCu)

/* A3CR */

#define CSL_EMIFA_A3CR_SS_MASK (0x80000000u)
#define CSL_EMIFA_A3CR_SS_SHIFT (0x0000001Fu)
#define CSL_EMIFA_A3CR_SS_RESETVAL (0x00000000u)
/*----SS Tokens----*/
#define CSL_EMIFA_A3CR_SS_DISABLE (0x00000000u)
#define CSL_EMIFA_A3CR_SS_ENABLE (0x00000001u)

#define CSL_EMIFA_A3CR_EW_MASK (0x40000000u)
#define CSL_EMIFA_A3CR_EW_SHIFT (0x0000001Eu)
#define CSL_EMIFA_A3CR_EW_RESETVAL (0x00000000u)
/*----EW Tokens----*/
#define CSL_EMIFA_A3CR_EW_DISABLE (0x00000000u)
#define CSL_EMIFA_A3CR_EW_ENABLE (0x00000001u)

#define CSL_EMIFA_A3CR_WSETUP_MASK (0x3C000000u)
#define CSL_EMIFA_A3CR_WSETUP_SHIFT (0x0000001Au)
#define CSL_EMIFA_A3CR_WSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A3CR_WSTROBE_MASK (0x03F00000u)
#define CSL_EMIFA_A3CR_WSTROBE_SHIFT (0x00000014u)
#define CSL_EMIFA_A3CR_WSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A3CR_WHOLD_MASK (0x000E0000u)
#define CSL_EMIFA_A3CR_WHOLD_SHIFT (0x00000011u)
#define CSL_EMIFA_A3CR_WHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A3CR_RSETUP_MASK (0x0001E000u)
#define CSL_EMIFA_A3CR_RSETUP_SHIFT (0x0000000Du)
#define CSL_EMIFA_A3CR_RSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A3CR_RSTROBE_MASK (0x00001F80u)
#define CSL_EMIFA_A3CR_RSTROBE_SHIFT (0x00000007u)
#define CSL_EMIFA_A3CR_RSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A3CR_RHOLD_MASK (0x00000070u)
#define CSL_EMIFA_A3CR_RHOLD_SHIFT (0x00000004u)
#define CSL_EMIFA_A3CR_RHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A3CR_TA_MASK (0x0000000Cu)
#define CSL_EMIFA_A3CR_TA_SHIFT (0x00000002u)
#define CSL_EMIFA_A3CR_TA_RESETVAL (0x00000003u)

#define CSL_EMIFA_A3CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFA_A3CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFA_A3CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFA_A3CR_ASIZE_8BITS (0x00000000u)
#define CSL_EMIFA_A3CR_ASIZE_16BITS (0x00000001u)

#define CSL_EMIFA_A3CR_RESETVAL (0x3FFFFFFCu)

/* A4CR */

#define CSL_EMIFA_A4CR_SS_MASK (0x80000000u)
#define CSL_EMIFA_A4CR_SS_SHIFT (0x0000001Fu)
#define CSL_EMIFA_A4CR_SS_RESETVAL (0x00000000u)
/*----SS Tokens----*/
#define CSL_EMIFA_A4CR_SS_DISABLE (0x00000000u)
#define CSL_EMIFA_A4CR_SS_ENABLE (0x00000001u)

#define CSL_EMIFA_A4CR_EW_MASK (0x40000000u)
#define CSL_EMIFA_A4CR_EW_SHIFT (0x0000001Eu)
#define CSL_EMIFA_A4CR_EW_RESETVAL (0x00000000u)
/*----EW Tokens----*/
#define CSL_EMIFA_A4CR_EW_DISABLE (0x00000000u)
#define CSL_EMIFA_A4CR_EW_ENABLE (0x00000001u)

#define CSL_EMIFA_A4CR_W_SETUP_MASK (0x3C000000u)
#define CSL_EMIFA_A4CR_W_SETUP_SHIFT (0x0000001Au)
#define CSL_EMIFA_A4CR_W_SETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A4CR_W_STROBE_MASK (0x03F00000u)
#define CSL_EMIFA_A4CR_W_STROBE_SHIFT (0x00000014u)
#define CSL_EMIFA_A4CR_W_STROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A4CR_W_HOLD_MASK (0x000E0000u)
#define CSL_EMIFA_A4CR_W_HOLD_SHIFT (0x00000011u)
#define CSL_EMIFA_A4CR_W_HOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A4CR_R_SETUP_MASK (0x0001E000u)
#define CSL_EMIFA_A4CR_R_SETUP_SHIFT (0x0000000Du)
#define CSL_EMIFA_A4CR_R_SETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFA_A4CR_R_STROBE_MASK (0x00001F80u)
#define CSL_EMIFA_A4CR_R_STROBE_SHIFT (0x00000007u)
#define CSL_EMIFA_A4CR_R_STROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_A4CR_R_HOLD_MASK (0x00000070u)
#define CSL_EMIFA_A4CR_R_HOLD_SHIFT (0x00000004u)
#define CSL_EMIFA_A4CR_R_HOLD_RESETVAL (0x00000007u)

#define CSL_EMIFA_A4CR_TA_MASK (0x0000000Cu)
#define CSL_EMIFA_A4CR_TA_SHIFT (0x00000002u)
#define CSL_EMIFA_A4CR_TA_RESETVAL (0x00000003u)

#define CSL_EMIFA_A4CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFA_A4CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFA_A4CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFA_A4CR_ASIZE_8BITS (0x00000000u)
#define CSL_EMIFA_A4CR_ASIZE_16BITS (0x00000001u)

#define CSL_EMIFA_A4CR_RESETVAL (0x3FFFFFFCu)

/* SDTIMR */

#define CSL_EMIFA_SDTIMR_T_RFC_MASK (0xF8000000u)
#define CSL_EMIFA_SDTIMR_T_RFC_SHIFT (0x0000001Bu)
#define CSL_EMIFA_SDTIMR_T_RFC_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDTIMR_T_RP_MASK (0x07000000u)
#define CSL_EMIFA_SDTIMR_T_RP_SHIFT (0x00000018u)
#define CSL_EMIFA_SDTIMR_T_RP_RESETVAL (0x00000000u)


#define CSL_EMIFA_SDTIMR_T_RCD_MASK (0x00700000u)
#define CSL_EMIFA_SDTIMR_T_RCD_SHIFT (0x00000014u)
#define CSL_EMIFA_SDTIMR_T_RCD_RESETVAL (0x00000000u)


#define CSL_EMIFA_SDTIMR_T_WR_MASK (0x00070000u)
#define CSL_EMIFA_SDTIMR_T_WR_SHIFT (0x00000010u)
#define CSL_EMIFA_SDTIMR_T_WR_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDTIMR_T_RAS_MASK (0x0000F000u)
#define CSL_EMIFA_SDTIMR_T_RAS_SHIFT (0x0000000Cu)
#define CSL_EMIFA_SDTIMR_T_RAS_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDTIMR_T_RC_MASK (0x00000F00u)
#define CSL_EMIFA_SDTIMR_T_RC_SHIFT (0x00000008u)
#define CSL_EMIFA_SDTIMR_T_RC_RESETVAL (0x00000000u)


#define CSL_EMIFA_SDTIMR_T_RRD_MASK (0x00000070u)
#define CSL_EMIFA_SDTIMR_T_RRD_SHIFT (0x00000004u)
#define CSL_EMIFA_SDTIMR_T_RRD_RESETVAL (0x00000000u)


#define CSL_EMIFA_SDTIMR_RESETVAL (0x00000000u)

/* SDRSTAT */


#define CSL_EMIFA_SDRSTAT_PHYRDY_MASK (0x00000008u)
#define CSL_EMIFA_SDRSTAT_PHYRDY_SHIFT (0x00000003u)
#define CSL_EMIFA_SDRSTAT_PHYRDY_RESETVAL (0x00000000u)


#define CSL_EMIFA_SDRSTAT_DDR_MASK (0x00000001u)
#define CSL_EMIFA_SDRSTAT_DDR_SHIFT (0x00000000u)
#define CSL_EMIFA_SDRSTAT_DDR_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDRSTAT_RESETVAL (0x00000000u)

/* DDRPHYCR */

#define CSL_EMIFA_DDRPHYCR_DDRPHYCTRL_MASK (0xFFFFFFFFu)
#define CSL_EMIFA_DDRPHYCR_DDRPHYCTRL_SHIFT (0x00000000u)
#define CSL_EMIFA_DDRPHYCR_DDRPHYCTRL_RESETVAL (0x00000000u)

#define CSL_EMIFA_DDRPHYCR_RESETVAL (0x00000000u)

/* DDRPHYSR */

#define CSL_EMIFA_DDRPHYSR_DDRPHYSTAT_MASK (0xFFFFFFFFu)
#define CSL_EMIFA_DDRPHYSR_DDRPHYSTAT_SHIFT (0x00000000u)
#define CSL_EMIFA_DDRPHYSR_DDRPHYSTAT_RESETVAL (0x00000000u)

#define CSL_EMIFA_DDRPHYSR_RESETVAL (0x00000000u)

/* SDRACCR */

#define CSL_EMIFA_SDRACCR_TOTALACC_MASK (0xFFFFFFFFu)
#define CSL_EMIFA_SDRACCR_TOTALACC_SHIFT (0x00000000u)
#define CSL_EMIFA_SDRACCR_TOTALACC_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDRACCR_RESETVAL (0x00000000u)

/* SDRACT */

#define CSL_EMIFA_SDRACT_TOTALACT_MASK (0xFFFFFFFFu)
#define CSL_EMIFA_SDRACT_TOTALACT_SHIFT (0x00000000u)
#define CSL_EMIFA_SDRACT_TOTALACT_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDRACT_RESETVAL (0x00000000u)

/* DDRPHYREV */

#define CSL_EMIFA_DDRPHYREV_DDRPHYIDREV_MASK (0xFFFFFFFFu)
#define CSL_EMIFA_DDRPHYREV_DDRPHYIDREV_SHIFT (0x00000000u)
#define CSL_EMIFA_DDRPHYREV_DDRPHYIDREV_RESETVAL (0x00000000u)

#define CSL_EMIFA_DDRPHYREV_RESETVAL (0x00000000u)

/* SDRSRPDEXIT */


#define CSL_EMIFA_SDRSRPDEXIT_T_XS_MASK (0x0000001Fu)
#define CSL_EMIFA_SDRSRPDEXIT_T_XS_SHIFT (0x00000000u)
#define CSL_EMIFA_SDRSRPDEXIT_T_XS_RESETVAL (0x00000000u)

#define CSL_EMIFA_SDRSRPDEXIT_RESETVAL (0x00000000u)

/* IRR */


#define CSL_EMIFA_IRR_WR_MASK (0x0000003Cu)
#define CSL_EMIFA_IRR_WR_SHIFT (0x00000002u)
#define CSL_EMIFA_IRR_WR_RESETVAL (0x00000000u)
/*----WR Tokens----*/
#define CSL_EMIFA_IRR_WR_NOACTION (0x00000000u)
#define CSL_EMIFA_IRR_WR_CLEARBIT (0x00000001u)

#define CSL_EMIFA_IRR_LT_MASK (0x00000002u)
#define CSL_EMIFA_IRR_LT_SHIFT (0x00000001u)
#define CSL_EMIFA_IRR_LT_RESETVAL (0x00000000u)
/*----LT Tokens----*/
#define CSL_EMIFA_IRR_LT_NOACTION (0x00000000u)
#define CSL_EMIFA_IRR_LT_CLEARBIT (0x00000001u)

#define CSL_EMIFA_IRR_AT_MASK (0x00000001u)
#define CSL_EMIFA_IRR_AT_SHIFT (0x00000000u)
#define CSL_EMIFA_IRR_AT_RESETVAL (0x00000000u)
/*----AT Tokens----*/
#define CSL_EMIFA_IRR_AT_NOACTION (0x00000000u)
#define CSL_EMIFA_IRR_AT_CLEARBIT (0x00000001u)

#define CSL_EMIFA_IRR_RESETVAL (0x00000000u)

/* IMR */


#define CSL_EMIFA_IMR_WRM_MASK (0x0000003Cu)
#define CSL_EMIFA_IMR_WRM_SHIFT (0x00000002u)
#define CSL_EMIFA_IMR_WRM_RESETVAL (0x00000000u)
/*----WRM Tokens----*/
#define CSL_EMIFA_IMR_WRM_NOACTION (0x00000000u)
#define CSL_EMIFA_IMR_WRM_CLEARBIT (0x00000001u)

#define CSL_EMIFA_IMR_LTM_MASK (0x00000002u)
#define CSL_EMIFA_IMR_LTM_SHIFT (0x00000001u)
#define CSL_EMIFA_IMR_LTM_RESETVAL (0x00000000u)
/*----LTM Tokens----*/
#define CSL_EMIFA_IMR_LTM_NOACTION (0x00000000u)
#define CSL_EMIFA_IMR_LTM_CLEARBIT (0x00000001u)

#define CSL_EMIFA_IMR_ATM_MASK (0x00000001u)
#define CSL_EMIFA_IMR_ATM_SHIFT (0x00000000u)
#define CSL_EMIFA_IMR_ATM_RESETVAL (0x00000000u)
/*----ATM Tokens----*/
#define CSL_EMIFA_IMR_ATM_NOACTION (0x00000000u)
#define CSL_EMIFA_IMR_ATM_CLEARBIT (0x00000001u)

#define CSL_EMIFA_IMR_RESETVAL (0x00000000u)

/* IMSR */


#define CSL_EMIFA_IMSR_WRMSET_MASK (0x0000003Cu)
#define CSL_EMIFA_IMSR_WRMSET_SHIFT (0x00000002u)
#define CSL_EMIFA_IMSR_WRMSET_RESETVAL (0x00000000u)
/*----WRMSET Tokens----*/
#define CSL_EMIFA_IMSR_WRMSET_NOACTION (0x00000000u)
#define CSL_EMIFA_IMSR_WRMSET_ENABLE (0x00000001u)

#define CSL_EMIFA_IMSR_LTMSET_MASK (0x00000002u)
#define CSL_EMIFA_IMSR_LTMSET_SHIFT (0x00000001u)
#define CSL_EMIFA_IMSR_LTMSET_RESETVAL (0x00000000u)
/*----LTMSET Tokens----*/
#define CSL_EMIFA_IMSR_LTMSET_NOACTION (0x00000000u)
#define CSL_EMIFA_IMSR_LTMSET_ENABLE (0x00000001u)

#define CSL_EMIFA_IMSR_ATMSET_MASK (0x00000001u)
#define CSL_EMIFA_IMSR_ATMSET_SHIFT (0x00000000u)
#define CSL_EMIFA_IMSR_ATMSET_RESETVAL (0x00000000u)
/*----ATMSET Tokens----*/
#define CSL_EMIFA_IMSR_ATMSET_NOACTION (0x00000000u)
#define CSL_EMIFA_IMSR_ATMSET_ENABLE (0x00000001u)

#define CSL_EMIFA_IMSR_RESETVAL (0x00000000u)

/* IMCR */


#define CSL_EMIFA_IMCR_WRMCLR_MASK (0x0000003Cu)
#define CSL_EMIFA_IMCR_WRMCLR_SHIFT (0x00000002u)
#define CSL_EMIFA_IMCR_WRMCLR_RESETVAL (0x00000000u)
/*----WRMCLR Tokens----*/
#define CSL_EMIFA_IMCR_WRMCLR_NOACTION (0x00000000u)
#define CSL_EMIFA_IMCR_WRMCLR_DISABLE (0x00000001u)

#define CSL_EMIFA_IMCR_LTMCLR_MASK (0x00000002u)
#define CSL_EMIFA_IMCR_LTMCLR_SHIFT (0x00000001u)
#define CSL_EMIFA_IMCR_LTMCLR_RESETVAL (0x00000000u)
/*----LTMCLR Tokens----*/
#define CSL_EMIFA_IMCR_LTMCLR_NOACTION (0x00000000u)
#define CSL_EMIFA_IMCR_LTMCLR_DISABLE (0x00000001u)

#define CSL_EMIFA_IMCR_ATMCLR_MASK (0x00000001u)
#define CSL_EMIFA_IMCR_ATMCLR_SHIFT (0x00000000u)
#define CSL_EMIFA_IMCR_ATMCLR_RESETVAL (0x00000000u)
/*----ATMCLR Tokens----*/
#define CSL_EMIFA_IMCR_ATMCLR_NOACTION (0x00000000u)
#define CSL_EMIFA_IMCR_ATMCLR_DISABLE (0x00000001u)

#define CSL_EMIFA_IMCR_RESETVAL (0x00000000u)

/* IOCR */


#define CSL_EMIFA_IOCR_IOCTRL_MASK (0x0000FFFFu)
#define CSL_EMIFA_IOCR_IOCTRL_SHIFT (0x00000000u)
#define CSL_EMIFA_IOCR_IOCTRL_RESETVAL (0x00000000u)

#define CSL_EMIFA_IOCR_RESETVAL (0x00000000u)

/* IOSR */


#define CSL_EMIFA_IOSR_IOSTAT_MASK (0x0000FFFFu)
#define CSL_EMIFA_IOSR_IOSTAT_SHIFT (0x00000000u)
#define CSL_EMIFA_IOSR_IOSTAT_RESETVAL (0x00000000u)

#define CSL_EMIFA_IOSR_RESETVAL (0x00000000u)

/* ONENANDFCR */


#define CSL_EMIFA_ONENANDFCR_RD_LAT_MASK (0x00000700u)
#define CSL_EMIFA_ONENANDFCR_RD_LAT_SHIFT (0x00000008u)
#define CSL_EMIFA_ONENANDFCR_RD_LAT_RESETVAL (0x00000004u)

#define CSL_EMIFA_ONENANDFCR_CS5SYNCRD_MASK (0x00000080u)
#define CSL_EMIFA_ONENANDFCR_CS5SYNCRD_SHIFT (0x00000007u)
#define CSL_EMIFA_ONENANDFCR_CS5SYNCRD_RESETVAL (0x00000000u)
/*----CS5SYNCRD Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS5SYNCRD_NOSYNCMODE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS5SYNCRD_SYNCMODE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_CS4SYNCRD_MASK (0x00000040u)
#define CSL_EMIFA_ONENANDFCR_CS4SYNCRD_SHIFT (0x00000006u)
#define CSL_EMIFA_ONENANDFCR_CS4SYNCRD_RESETVAL (0x00000000u)
/*----CS4SYNCRD Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS4SYNCRD_NOSYNCMODE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS4SYNCRD_SYNCMODE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_CS3SYNCRD_MASK (0x00000020u)
#define CSL_EMIFA_ONENANDFCR_CS3SYNCRD_SHIFT (0x00000005u)
#define CSL_EMIFA_ONENANDFCR_CS3SYNCRD_RESETVAL (0x00000000u)
/*----CS3SYNCRD Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS3SYNCRD_NOSYNCMODE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS3SYNCRD_SYNCMODE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_CS2SYNCRD_MASK (0x00000010u)
#define CSL_EMIFA_ONENANDFCR_CS2SYNCRD_SHIFT (0x00000004u)
#define CSL_EMIFA_ONENANDFCR_CS2SYNCRD_RESETVAL (0x00000000u)
/*----CS2SYNCRD Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS2SYNCRD_NOSYNCMODE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS2SYNCRD_SYNCMODE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_CS51NAND_MASK (0x00000008u)
#define CSL_EMIFA_ONENANDFCR_CS51NAND_SHIFT (0x00000003u)
#define CSL_EMIFA_ONENANDFCR_CS51NAND_RESETVAL (0x00000000u)
/*----CS51NAND Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS51NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS51NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_CS41NAND_MASK (0x00000004u)
#define CSL_EMIFA_ONENANDFCR_CS41NAND_SHIFT (0x00000002u)
#define CSL_EMIFA_ONENANDFCR_CS41NAND_RESETVAL (0x00000000u)
/*----CS41NAND Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS41NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS41NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_CS31NAND_MASK (0x00000002u)
#define CSL_EMIFA_ONENANDFCR_CS31NAND_SHIFT (0x00000001u)
#define CSL_EMIFA_ONENANDFCR_CS31NAND_RESETVAL (0x00000000u)
/*----CS31NAND Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS31NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS31NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_CS21NAND_MASK (0x00000001u)
#define CSL_EMIFA_ONENANDFCR_CS21NAND_SHIFT (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS21NAND_RESETVAL (0x00000000u)
/*----CS21NAND Tokens----*/
#define CSL_EMIFA_ONENANDFCR_CS21NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_ONENANDFCR_CS21NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_ONENANDFCR_RESETVAL (0x00000400u)

/* NANDFCTL */


#define CSL_EMIFA_NANDFCTL_ADDR_CALC_ST_MASK (0x00002000u)
#define CSL_EMIFA_NANDFCTL_ADDR_CALC_ST_SHIFT (0x0000000Du)
#define CSL_EMIFA_NANDFCTL_ADDR_CALC_ST_RESETVAL (0x00000000u)
/*----ADDR_CALC_ST Tokens----*/
#define CSL_EMIFA_NANDFCTL_ADDR_CALC_ST_NOACTION (0x00000000u)
#define CSL_EMIFA_NANDFCTL_ADDR_CALC_ST_STARTCALC (0x00000001u)

#define CSL_EMIFA_NANDFCTL_4BIT_ECC_ST_MASK (0x00001000u)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_ST_SHIFT (0x0000000Cu)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_ST_RESETVAL (0x00000000u)
/*----4BIT_ECC_ST Tokens----*/
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_ST_NOACTION (0x00000000u)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_ST_STARTCALC (0x00000001u)

#define CSL_EMIFA_NANDFCTL_CS5ECC_MASK (0x00000800u)
#define CSL_EMIFA_NANDFCTL_CS5ECC_SHIFT (0x0000000Bu)
#define CSL_EMIFA_NANDFCTL_CS5ECC_RESETVAL (0x00000000u)
/*----CS5ECC Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS5ECC_NOACTION (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS5ECC_STARTCALC (0x00000001u)

#define CSL_EMIFA_NANDFCTL_CS4ECC_MASK (0x00000400u)
#define CSL_EMIFA_NANDFCTL_CS4ECC_SHIFT (0x0000000Au)
#define CSL_EMIFA_NANDFCTL_CS4ECC_RESETVAL (0x00000000u)
/*----CS4ECC Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS4ECC_NOACTION (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS4ECC_STARTCALC (0x00000001u)

#define CSL_EMIFA_NANDFCTL_CS3ECC_MASK (0x00000200u)
#define CSL_EMIFA_NANDFCTL_CS3ECC_SHIFT (0x00000009u)
#define CSL_EMIFA_NANDFCTL_CS3ECC_RESETVAL (0x00000000u)
/*----CS3ECC Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS3ECC_NOACTION (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS3ECC_STARTCALC (0x00000001u)

#define CSL_EMIFA_NANDFCTL_CS2ECC_MASK (0x00000100u)
#define CSL_EMIFA_NANDFCTL_CS2ECC_SHIFT (0x00000008u)
#define CSL_EMIFA_NANDFCTL_CS2ECC_RESETVAL (0x00000000u)
/*----CS2ECC Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS2ECC_NOACTION (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS2ECC_STARTCALC (0x00000001u)


#define CSL_EMIFA_NANDFCTL_4BIT_ECC_SEL_MASK (0x00000030u)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_SEL_SHIFT (0x00000004u)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_SEL_RESETVAL (0x00000000u)
/*----4BIT_ECC_SEL Tokens----*/
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_SEL_SELCS2 (0x00000000u)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_SEL_SELCS3 (0x00000001u)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_SEL_SELCS4 (0x00000002u)
#define CSL_EMIFA_NANDFCTL_4BIT_ECC_SEL_SELCS5 (0x00000003u)

#define CSL_EMIFA_NANDFCTL_CS5NAND_MASK (0x00000008u)
#define CSL_EMIFA_NANDFCTL_CS5NAND_SHIFT (0x00000003u)
#define CSL_EMIFA_NANDFCTL_CS5NAND_RESETVAL (0x00000000u)
/*----CS5NAND Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS5NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS5NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_NANDFCTL_CS4NAND_MASK (0x00000004u)
#define CSL_EMIFA_NANDFCTL_CS4NAND_SHIFT (0x00000002u)
#define CSL_EMIFA_NANDFCTL_CS4NAND_RESETVAL (0x00000000u)
/*----CS4NAND Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS4NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS4NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_NANDFCTL_CS3NAND_MASK (0x00000002u)
#define CSL_EMIFA_NANDFCTL_CS3NAND_SHIFT (0x00000001u)
#define CSL_EMIFA_NANDFCTL_CS3NAND_RESETVAL (0x00000000u)
/*----CS3NAND Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS3NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS3NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_NANDFCTL_CS2NAND_MASK (0x00000001u)
#define CSL_EMIFA_NANDFCTL_CS2NAND_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS2NAND_RESETVAL (u)
/*----CS2NAND Tokens----*/
#define CSL_EMIFA_NANDFCTL_CS2NAND_DISABLE (0x00000000u)
#define CSL_EMIFA_NANDFCTL_CS2NAND_ENABLE (0x00000001u)

#define CSL_EMIFA_NANDFCTL_RESETVAL (0x00000000u)

/* NANDFSR */


#define CSL_EMIFA_NANDFSR_ERR_NUM_MASK (0x00030000u)
#define CSL_EMIFA_NANDFSR_ERR_NUM_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDFSR_ERR_NUM_RESETVAL (0x00000000u)
/*----ERR_NUM Tokens----*/
#define CSL_EMIFA_NANDFSR_ERR_NUM_ERROR1 (0x00000000u)
#define CSL_EMIFA_NANDFSR_ERR_NUM_ERROR2 (0x00000001u)
#define CSL_EMIFA_NANDFSR_ERR_NUM_ERROR3 (0x00000002u)
#define CSL_EMIFA_NANDFSR_ERR_NUM_ERROR4 (0x00000003u)


#define CSL_EMIFA_NANDFSR_CORR_STATE_MASK (0x00000F00u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_SHIFT (0x00000008u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_RESETVAL (0x00000000u)
/*----CORR_STATE Tokens----*/
#define CSL_EMIFA_NANDFSR_CORR_STATE_NOERROR (0x00000000u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_NOCORRECT (0x00000001u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_CORRECTCOMPLETE2 (0x00000002u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_CORRECTCOMPLETE3 (0x00000003u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_CALCNUMERR (0x00000005u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_PREPERROR6 (0x00000006u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_PREPERROR7 (0x00000007u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_SEARCHERR (0x00000008u)
#define CSL_EMIFA_NANDFSR_CORR_STATE_CALCERR12 (0x0000000Cu)
#define CSL_EMIFA_NANDFSR_CORR_STATE_CALCERR13 (0x0000000Du)
#define CSL_EMIFA_NANDFSR_CORR_STATE_CALCERR14 (0x0000000Eu)
#define CSL_EMIFA_NANDFSR_CORR_STATE_CALCERR15 (0x0000000Fu)


#define CSL_EMIFA_NANDFSR_WAITSTAT_MASK (0x0000000Fu)
#define CSL_EMIFA_NANDFSR_WAITSTAT_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDFSR_WAITSTAT_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDFSR_RESETVAL (0x00000000u)

/* PMCR */

#define CSL_EMIFA_PMCR_CS5PGDEL_MASK (0xFC000000u)
#define CSL_EMIFA_PMCR_CS5PGDEL_SHIFT (0x0000001Au)
#define CSL_EMIFA_PMCR_CS5PGDEL_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_PMCR_CS5PGSIZE_MASK (0x02000000u)
#define CSL_EMIFA_PMCR_CS5PGSIZE_SHIFT (0x00000019u)
#define CSL_EMIFA_PMCR_CS5PGSIZE_RESETVAL (0x00000000u)
/*----CS5PGSIZE Tokens----*/
#define CSL_EMIFA_PMCR_CS5PGSIZE_4WORD (0x00000000u)
#define CSL_EMIFA_PMCR_CS5PGSIZE_8WORD (0x00000001u)

#define CSL_EMIFA_PMCR_CS5PGMDEN_MASK (0x01000000u)
#define CSL_EMIFA_PMCR_CS5PGMDEN_SHIFT (0x00000018u)
#define CSL_EMIFA_PMCR_CS5PGMDEN_RESETVAL (0x00000000u)
/*----CS5PGMDEN Tokens----*/
#define CSL_EMIFA_PMCR_CS5PGMDEN_DISABLE (0x00000000u)
#define CSL_EMIFA_PMCR_CS5PGMDEN_ENABLE (0x00000001u)

#define CSL_EMIFA_PMCR_CS4PGDEL_MASK (0x00FC0000u)
#define CSL_EMIFA_PMCR_CS4PGDEL_SHIFT (0x00000012u)
#define CSL_EMIFA_PMCR_CS4PGDEL_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_PMCR_CS4PGSIZE_MASK (0x00020000u)
#define CSL_EMIFA_PMCR_CS4PGSIZE_SHIFT (0x00000011u)
#define CSL_EMIFA_PMCR_CS4PGSIZE_RESETVAL (0x00000000u)
/*----CS4PGSIZE Tokens----*/
#define CSL_EMIFA_PMCR_CS4PGSIZE_4WORD (0x00000000u)
#define CSL_EMIFA_PMCR_CS4PGSIZE_8WORD (0x00000001u)

#define CSL_EMIFA_PMCR_CS4PGMDEN_MASK (0x00010000u)
#define CSL_EMIFA_PMCR_CS4PGMDEN_SHIFT (0x00000010u)
#define CSL_EMIFA_PMCR_CS4PGMDEN_RESETVAL (0x00000000u)
/*----CS4PGMDEN Tokens----*/
#define CSL_EMIFA_PMCR_CS4PGMDEN_DISABLE (0x00000000u)
#define CSL_EMIFA_PMCR_CS4PGMDEN_ENABLE (0x00000001u)

#define CSL_EMIFA_PMCR_CS3PGDEL_MASK (0x0000FC00u)
#define CSL_EMIFA_PMCR_CS3PGDEL_SHIFT (0x0000000Au)
#define CSL_EMIFA_PMCR_CS3PGDEL_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_PMCR_CS3PGSIZE_MASK (0x00000200u)
#define CSL_EMIFA_PMCR_CS3PGSIZE_SHIFT (0x00000009u)
#define CSL_EMIFA_PMCR_CS3PGSIZE_RESETVAL (0x00000000u)
/*----CS3PGSIZE Tokens----*/
#define CSL_EMIFA_PMCR_CS3PGSIZE_4WORD (0x00000000u)
#define CSL_EMIFA_PMCR_CS3PGSIZE_8WORD (0x00000001u)

#define CSL_EMIFA_PMCR_CS3PGMDEN_MASK (0x00000100u)
#define CSL_EMIFA_PMCR_CS3PGMDEN_SHIFT (0x00000008u)
#define CSL_EMIFA_PMCR_CS3PGMDEN_RESETVAL (0x00000000u)
/*----CS3PGMDEN Tokens----*/
#define CSL_EMIFA_PMCR_CS3PGMDEN_DISABLE (0x00000000u)
#define CSL_EMIFA_PMCR_CS3PGMDEN_ENABLE (0x00000001u)

#define CSL_EMIFA_PMCR_CS2PGDEL_MASK (0x000000FCu)
#define CSL_EMIFA_PMCR_CS2PGDEL_SHIFT (0x00000002u)
#define CSL_EMIFA_PMCR_CS2PGDEL_RESETVAL (0x0000003Fu)

#define CSL_EMIFA_PMCR_CS2PGSIZE_MASK (0x00000002u)
#define CSL_EMIFA_PMCR_CS2PGSIZE_SHIFT (0x00000001u)
#define CSL_EMIFA_PMCR_CS2PGSIZE_RESETVAL (0x00000000u)
/*----CS2PGSIZE Tokens----*/
#define CSL_EMIFA_PMCR_CS2PGSIZE_4WORD (0x00000000u)
#define CSL_EMIFA_PMCR_CS2PGSIZE_8WORD (0x00000001u)

#define CSL_EMIFA_PMCR_CS2PGMDEN_MASK (0x00000001u)
#define CSL_EMIFA_PMCR_CS2PGMDEN_SHIFT (0x00000000u)
#define CSL_EMIFA_PMCR_CS2PGMDEN_RESETVAL (0x00000000u)
/*----CS2PGMDEN Tokens----*/
#define CSL_EMIFA_PMCR_CS2PGMDEN_DISABLE (0x00000000u)

#define CSL_EMIFA_PMCR_RESETVAL (0xFCFCFCFCu)

/* NFECCCS2 */


#define CSL_EMIFA_NFECCCS2_P2048O_MASK (0x08000000u)
#define CSL_EMIFA_NFECCCS2_P2048O_SHIFT (0x0000001Bu)
#define CSL_EMIFA_NFECCCS2_P2048O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P1024O_MASK (0x04000000u)
#define CSL_EMIFA_NFECCCS2_P1024O_SHIFT (0x0000001Au)
#define CSL_EMIFA_NFECCCS2_P1024O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P512O_MASK (0x02000000u)
#define CSL_EMIFA_NFECCCS2_P512O_SHIFT (0x00000019u)
#define CSL_EMIFA_NFECCCS2_P512O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P256O_MASK (0x01000000u)
#define CSL_EMIFA_NFECCCS2_P256O_SHIFT (0x00000018u)
#define CSL_EMIFA_NFECCCS2_P256O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P128O_MASK (0x00800000u)
#define CSL_EMIFA_NFECCCS2_P128O_SHIFT (0x00000017u)
#define CSL_EMIFA_NFECCCS2_P128O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P64O_MASK (0x00400000u)
#define CSL_EMIFA_NFECCCS2_P64O_SHIFT (0x00000016u)
#define CSL_EMIFA_NFECCCS2_P64O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P32O_MASK (0x00200000u)
#define CSL_EMIFA_NFECCCS2_P32O_SHIFT (0x00000015u)
#define CSL_EMIFA_NFECCCS2_P32O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P16O_MASK (0x00100000u)
#define CSL_EMIFA_NFECCCS2_P16O_SHIFT (0x00000014u)
#define CSL_EMIFA_NFECCCS2_P16O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P8O_MASK (0x00080000u)
#define CSL_EMIFA_NFECCCS2_P8O_SHIFT (0x00000013u)
#define CSL_EMIFA_NFECCCS2_P8O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P4O_MASK (0x00040000u)
#define CSL_EMIFA_NFECCCS2_P4O_SHIFT (0x00000012u)
#define CSL_EMIFA_NFECCCS2_P4O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P2O_MASK (0x00020000u)
#define CSL_EMIFA_NFECCCS2_P2O_SHIFT (0x00000011u)
#define CSL_EMIFA_NFECCCS2_P2O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P1O_MASK (0x00010000u)
#define CSL_EMIFA_NFECCCS2_P1O_SHIFT (0x00000010u)
#define CSL_EMIFA_NFECCCS2_P1O_RESETVAL (0x00000000u)


#define CSL_EMIFA_NFECCCS2_P2048E_MASK (0x00000800u)
#define CSL_EMIFA_NFECCCS2_P2048E_SHIFT (0x0000000Bu)
#define CSL_EMIFA_NFECCCS2_P2048E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P1024E_MASK (0x00000400u)
#define CSL_EMIFA_NFECCCS2_P1024E_SHIFT (0x0000000Au)
#define CSL_EMIFA_NFECCCS2_P1024E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P512E_MASK (0x00000200u)
#define CSL_EMIFA_NFECCCS2_P512E_SHIFT (0x00000009u)
#define CSL_EMIFA_NFECCCS2_P512E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P256E_MASK (0x00000100u)
#define CSL_EMIFA_NFECCCS2_P256E_SHIFT (0x00000008u)
#define CSL_EMIFA_NFECCCS2_P256E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P128E_MASK (0x00000080u)
#define CSL_EMIFA_NFECCCS2_P128E_SHIFT (0x00000007u)
#define CSL_EMIFA_NFECCCS2_P128E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P64E_MASK (0x00000040u)
#define CSL_EMIFA_NFECCCS2_P64E_SHIFT (0x00000006u)
#define CSL_EMIFA_NFECCCS2_P64E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P32E_MASK (0x00000020u)
#define CSL_EMIFA_NFECCCS2_P32E_SHIFT (0x00000005u)
#define CSL_EMIFA_NFECCCS2_P32E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P16E_MASK (0x00000010u)
#define CSL_EMIFA_NFECCCS2_P16E_SHIFT (0x00000004u)
#define CSL_EMIFA_NFECCCS2_P16E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P8E_MASK (0x00000008u)
#define CSL_EMIFA_NFECCCS2_P8E_SHIFT (0x00000003u)
#define CSL_EMIFA_NFECCCS2_P8E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P4E_MASK (0x00000004u)
#define CSL_EMIFA_NFECCCS2_P4E_SHIFT (0x00000002u)
#define CSL_EMIFA_NFECCCS2_P4E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P2E_MASK (0x00000002u)
#define CSL_EMIFA_NFECCCS2_P2E_SHIFT (0x00000001u)
#define CSL_EMIFA_NFECCCS2_P2E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_P1E_MASK (0x00000001u)
#define CSL_EMIFA_NFECCCS2_P1E_SHIFT (0x00000000u)
#define CSL_EMIFA_NFECCCS2_P1E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS2_RESETVAL (0x00000000u)

/* NFECCCS3 */


#define CSL_EMIFA_NFECCCS3_P2048O_MASK (0x08000000u)
#define CSL_EMIFA_NFECCCS3_P2048O_SHIFT (0x0000001Bu)
#define CSL_EMIFA_NFECCCS3_P2048O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P1024O_MASK (0x04000000u)
#define CSL_EMIFA_NFECCCS3_P1024O_SHIFT (0x0000001Au)
#define CSL_EMIFA_NFECCCS3_P1024O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P512O_MASK (0x02000000u)
#define CSL_EMIFA_NFECCCS3_P512O_SHIFT (0x00000019u)
#define CSL_EMIFA_NFECCCS3_P512O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P256O_MASK (0x01000000u)
#define CSL_EMIFA_NFECCCS3_P256O_SHIFT (0x00000018u)
#define CSL_EMIFA_NFECCCS3_P256O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P128O_MASK (0x00800000u)
#define CSL_EMIFA_NFECCCS3_P128O_SHIFT (0x00000017u)
#define CSL_EMIFA_NFECCCS3_P128O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P64O_MASK (0x00400000u)
#define CSL_EMIFA_NFECCCS3_P64O_SHIFT (0x00000016u)
#define CSL_EMIFA_NFECCCS3_P64O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P32O_MASK (0x00200000u)
#define CSL_EMIFA_NFECCCS3_P32O_SHIFT (0x00000015u)
#define CSL_EMIFA_NFECCCS3_P32O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P16O_MASK (0x00100000u)
#define CSL_EMIFA_NFECCCS3_P16O_SHIFT (0x00000014u)
#define CSL_EMIFA_NFECCCS3_P16O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P8O_MASK (0x00080000u)
#define CSL_EMIFA_NFECCCS3_P8O_SHIFT (0x00000013u)
#define CSL_EMIFA_NFECCCS3_P8O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P4O_MASK (0x00040000u)
#define CSL_EMIFA_NFECCCS3_P4O_SHIFT (0x00000012u)
#define CSL_EMIFA_NFECCCS3_P4O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P2O_MASK (0x00020000u)
#define CSL_EMIFA_NFECCCS3_P2O_SHIFT (0x00000011u)
#define CSL_EMIFA_NFECCCS3_P2O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P1O_MASK (0x00010000u)
#define CSL_EMIFA_NFECCCS3_P1O_SHIFT (0x00000010u)
#define CSL_EMIFA_NFECCCS3_P1O_RESETVAL (0x00000000u)


#define CSL_EMIFA_NFECCCS3_P2048E_MASK (0x00000800u)
#define CSL_EMIFA_NFECCCS3_P2048E_SHIFT (0x0000000Bu)
#define CSL_EMIFA_NFECCCS3_P2048E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P1024E_MASK (0x00000400u)
#define CSL_EMIFA_NFECCCS3_P1024E_SHIFT (0x0000000Au)
#define CSL_EMIFA_NFECCCS3_P1024E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P512E_MASK (0x00000200u)
#define CSL_EMIFA_NFECCCS3_P512E_SHIFT (0x00000009u)
#define CSL_EMIFA_NFECCCS3_P512E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P256E_MASK (0x00000100u)
#define CSL_EMIFA_NFECCCS3_P256E_SHIFT (0x00000008u)
#define CSL_EMIFA_NFECCCS3_P256E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P128E_MASK (0x00000080u)
#define CSL_EMIFA_NFECCCS3_P128E_SHIFT (0x00000007u)
#define CSL_EMIFA_NFECCCS3_P128E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P64E_MASK (0x00000040u)
#define CSL_EMIFA_NFECCCS3_P64E_SHIFT (0x00000006u)
#define CSL_EMIFA_NFECCCS3_P64E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P32E_MASK (0x00000020u)
#define CSL_EMIFA_NFECCCS3_P32E_SHIFT (0x00000005u)
#define CSL_EMIFA_NFECCCS3_P32E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P16E_MASK (0x00000010u)
#define CSL_EMIFA_NFECCCS3_P16E_SHIFT (0x00000004u)
#define CSL_EMIFA_NFECCCS3_P16E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P8E_MASK (0x00000008u)
#define CSL_EMIFA_NFECCCS3_P8E_SHIFT (0x00000003u)
#define CSL_EMIFA_NFECCCS3_P8E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P4E_MASK (0x00000004u)
#define CSL_EMIFA_NFECCCS3_P4E_SHIFT (0x00000002u)
#define CSL_EMIFA_NFECCCS3_P4E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P2E_MASK (0x00000002u)
#define CSL_EMIFA_NFECCCS3_P2E_SHIFT (0x00000001u)
#define CSL_EMIFA_NFECCCS3_P2E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_P1E_MASK (0x00000001u)
#define CSL_EMIFA_NFECCCS3_P1E_SHIFT (0x00000000u)
#define CSL_EMIFA_NFECCCS3_P1E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS3_RESETVAL (0x00000000u)

/* NFECCCS4 */


#define CSL_EMIFA_NFECCCS4_P2048O_MASK (0x08000000u)
#define CSL_EMIFA_NFECCCS4_P2048O_SHIFT (0x0000001Bu)
#define CSL_EMIFA_NFECCCS4_P2048O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P1024O_MASK (0x04000000u)
#define CSL_EMIFA_NFECCCS4_P1024O_SHIFT (0x0000001Au)
#define CSL_EMIFA_NFECCCS4_P1024O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P512O_MASK (0x02000000u)
#define CSL_EMIFA_NFECCCS4_P512O_SHIFT (0x00000019u)
#define CSL_EMIFA_NFECCCS4_P512O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P256O_MASK (0x01000000u)
#define CSL_EMIFA_NFECCCS4_P256O_SHIFT (0x00000018u)
#define CSL_EMIFA_NFECCCS4_P256O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P128O_MASK (0x00800000u)
#define CSL_EMIFA_NFECCCS4_P128O_SHIFT (0x00000017u)
#define CSL_EMIFA_NFECCCS4_P128O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P64O_MASK (0x00400000u)
#define CSL_EMIFA_NFECCCS4_P64O_SHIFT (0x00000016u)
#define CSL_EMIFA_NFECCCS4_P64O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P32O_MASK (0x00200000u)
#define CSL_EMIFA_NFECCCS4_P32O_SHIFT (0x00000015u)
#define CSL_EMIFA_NFECCCS4_P32O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P16O_MASK (0x00100000u)
#define CSL_EMIFA_NFECCCS4_P16O_SHIFT (0x00000014u)
#define CSL_EMIFA_NFECCCS4_P16O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P8O_MASK (0x00080000u)
#define CSL_EMIFA_NFECCCS4_P8O_SHIFT (0x00000013u)
#define CSL_EMIFA_NFECCCS4_P8O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P4O_MASK (0x00040000u)
#define CSL_EMIFA_NFECCCS4_P4O_SHIFT (0x00000012u)
#define CSL_EMIFA_NFECCCS4_P4O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P2O_MASK (0x00020000u)
#define CSL_EMIFA_NFECCCS4_P2O_SHIFT (0x00000011u)
#define CSL_EMIFA_NFECCCS4_P2O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P1O_MASK (0x00010000u)
#define CSL_EMIFA_NFECCCS4_P1O_SHIFT (0x00000010u)
#define CSL_EMIFA_NFECCCS4_P1O_RESETVAL (0x00000000u)


#define CSL_EMIFA_NFECCCS4_P2048E_MASK (0x00000800u)
#define CSL_EMIFA_NFECCCS4_P2048E_SHIFT (0x0000000Bu)
#define CSL_EMIFA_NFECCCS4_P2048E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P1024E_MASK (0x00000400u)
#define CSL_EMIFA_NFECCCS4_P1024E_SHIFT (0x0000000Au)
#define CSL_EMIFA_NFECCCS4_P1024E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P512E_MASK (0x00000200u)
#define CSL_EMIFA_NFECCCS4_P512E_SHIFT (0x00000009u)
#define CSL_EMIFA_NFECCCS4_P512E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P256E_MASK (0x00000100u)
#define CSL_EMIFA_NFECCCS4_P256E_SHIFT (0x00000008u)
#define CSL_EMIFA_NFECCCS4_P256E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P128E_MASK (0x00000080u)
#define CSL_EMIFA_NFECCCS4_P128E_SHIFT (0x00000007u)
#define CSL_EMIFA_NFECCCS4_P128E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P64E_MASK (0x00000040u)
#define CSL_EMIFA_NFECCCS4_P64E_SHIFT (0x00000006u)
#define CSL_EMIFA_NFECCCS4_P64E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P32E_MASK (0x00000020u)
#define CSL_EMIFA_NFECCCS4_P32E_SHIFT (0x00000005u)
#define CSL_EMIFA_NFECCCS4_P32E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P16E_MASK (0x00000010u)
#define CSL_EMIFA_NFECCCS4_P16E_SHIFT (0x00000004u)
#define CSL_EMIFA_NFECCCS4_P16E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P8E_MASK (0x00000008u)
#define CSL_EMIFA_NFECCCS4_P8E_SHIFT (0x00000003u)
#define CSL_EMIFA_NFECCCS4_P8E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P4E_MASK (0x00000004u)
#define CSL_EMIFA_NFECCCS4_P4E_SHIFT (0x00000002u)
#define CSL_EMIFA_NFECCCS4_P4E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P2E_MASK (0x00000002u)
#define CSL_EMIFA_NFECCCS4_P2E_SHIFT (0x00000001u)
#define CSL_EMIFA_NFECCCS4_P2E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_P1E_MASK (0x00000001u)
#define CSL_EMIFA_NFECCCS4_P1E_SHIFT (0x00000000u)
#define CSL_EMIFA_NFECCCS4_P1E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS4_RESETVAL (0x00000000u)

/* NFECCCS5 */


#define CSL_EMIFA_NFECCCS5_P2048O_MASK (0x08000000u)
#define CSL_EMIFA_NFECCCS5_P2048O_SHIFT (0x0000001Bu)
#define CSL_EMIFA_NFECCCS5_P2048O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P1024O_MASK (0x04000000u)
#define CSL_EMIFA_NFECCCS5_P1024O_SHIFT (0x0000001Au)
#define CSL_EMIFA_NFECCCS5_P1024O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P512O_MASK (0x02000000u)
#define CSL_EMIFA_NFECCCS5_P512O_SHIFT (0x00000019u)
#define CSL_EMIFA_NFECCCS5_P512O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P256O_MASK (0x01000000u)
#define CSL_EMIFA_NFECCCS5_P256O_SHIFT (0x00000018u)
#define CSL_EMIFA_NFECCCS5_P256O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P128O_MASK (0x00800000u)
#define CSL_EMIFA_NFECCCS5_P128O_SHIFT (0x00000017u)
#define CSL_EMIFA_NFECCCS5_P128O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P64O_MASK (0x00400000u)
#define CSL_EMIFA_NFECCCS5_P64O_SHIFT (0x00000016u)
#define CSL_EMIFA_NFECCCS5_P64O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P32O_MASK (0x00200000u)
#define CSL_EMIFA_NFECCCS5_P32O_SHIFT (0x00000015u)
#define CSL_EMIFA_NFECCCS5_P32O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P16O_MASK (0x00100000u)
#define CSL_EMIFA_NFECCCS5_P16O_SHIFT (0x00000014u)
#define CSL_EMIFA_NFECCCS5_P16O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P8O_MASK (0x00080000u)
#define CSL_EMIFA_NFECCCS5_P8O_SHIFT (0x00000013u)
#define CSL_EMIFA_NFECCCS5_P8O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P4O_MASK (0x00040000u)
#define CSL_EMIFA_NFECCCS5_P4O_SHIFT (0x00000012u)
#define CSL_EMIFA_NFECCCS5_P4O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P2O_MASK (0x00020000u)
#define CSL_EMIFA_NFECCCS5_P2O_SHIFT (0x00000011u)
#define CSL_EMIFA_NFECCCS5_P2O_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P1O_MASK (0x00010000u)
#define CSL_EMIFA_NFECCCS5_P1O_SHIFT (0x00000010u)
#define CSL_EMIFA_NFECCCS5_P1O_RESETVAL (0x00000000u)


#define CSL_EMIFA_NFECCCS5_P2048E_MASK (0x00000800u)
#define CSL_EMIFA_NFECCCS5_P2048E_SHIFT (0x0000000Bu)
#define CSL_EMIFA_NFECCCS5_P2048E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P1024E_MASK (0x00000400u)
#define CSL_EMIFA_NFECCCS5_P1024E_SHIFT (0x0000000Au)
#define CSL_EMIFA_NFECCCS5_P1024E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P512E_MASK (0x00000200u)
#define CSL_EMIFA_NFECCCS5_P512E_SHIFT (0x00000009u)
#define CSL_EMIFA_NFECCCS5_P512E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P256E_MASK (0x00000100u)
#define CSL_EMIFA_NFECCCS5_P256E_SHIFT (0x00000008u)
#define CSL_EMIFA_NFECCCS5_P256E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P128E_MASK (0x00000080u)
#define CSL_EMIFA_NFECCCS5_P128E_SHIFT (0x00000007u)
#define CSL_EMIFA_NFECCCS5_P128E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P64E_MASK (0x00000040u)
#define CSL_EMIFA_NFECCCS5_P64E_SHIFT (0x00000006u)
#define CSL_EMIFA_NFECCCS5_P64E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P32E_MASK (0x00000020u)
#define CSL_EMIFA_NFECCCS5_P32E_SHIFT (0x00000005u)
#define CSL_EMIFA_NFECCCS5_P32E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P16E_MASK (0x00000010u)
#define CSL_EMIFA_NFECCCS5_P16E_SHIFT (0x00000004u)
#define CSL_EMIFA_NFECCCS5_P16E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P8E_MASK (0x00000008u)
#define CSL_EMIFA_NFECCCS5_P8E_SHIFT (0x00000003u)
#define CSL_EMIFA_NFECCCS5_P8E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P4E_MASK (0x00000004u)
#define CSL_EMIFA_NFECCCS5_P4E_SHIFT (0x00000002u)
#define CSL_EMIFA_NFECCCS5_P4E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P2E_MASK (0x00000002u)
#define CSL_EMIFA_NFECCCS5_P2E_SHIFT (0x00000001u)
#define CSL_EMIFA_NFECCCS5_P2E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_P1E_MASK (0x00000001u)
#define CSL_EMIFA_NFECCCS5_P1E_SHIFT (0x00000000u)
#define CSL_EMIFA_NFECCCS5_P1E_RESETVAL (0x00000000u)

#define CSL_EMIFA_NFECCCS5_RESETVAL (0x00000000u)

/* IODFTEXECNT */


#define CSL_EMIFA_IODFTEXECNT_TLEC_MASK (0x0000FFFFu)
#define CSL_EMIFA_IODFTEXECNT_TLEC_SHIFT (0x00000000u)
#define CSL_EMIFA_IODFTEXECNT_TLEC_RESETVAL (0x00000000u)

#define CSL_EMIFA_IODFTEXECNT_RESETVAL (0x00000000u)

/* IODFTGBLCTRL */


#define CSL_EMIFA_IODFTGBLCTRL_MT_MASK (0x00004000u)
#define CSL_EMIFA_IODFTGBLCTRL_MT_SHIFT (0x0000000Eu)
#define CSL_EMIFA_IODFTGBLCTRL_MT_RESETVAL (0x00000000u)


#define CSL_EMIFA_IODFTGBLCTRL_OPG_LD_MASK (0x00001000u)
#define CSL_EMIFA_IODFTGBLCTRL_OPG_LD_SHIFT (0x0000000Cu)
#define CSL_EMIFA_IODFTGBLCTRL_OPG_LD_RESETVAL (0x00000000u)


#define CSL_EMIFA_IODFTGBLCTRL_MMS_MASK (0x00000100u)
#define CSL_EMIFA_IODFTGBLCTRL_MMS_SHIFT (0x00000008u)
#define CSL_EMIFA_IODFTGBLCTRL_MMS_RESETVAL (0x00000000u)
/*----MMS Tokens----*/
#define CSL_EMIFA_IODFTGBLCTRL_MMS_OUTPUTREG (0x00000000u)
#define CSL_EMIFA_IODFTGBLCTRL_MMS_INPUTCAP (0x00000001u)

#define CSL_EMIFA_IODFTGBLCTRL_ESEL_MASK (0x00000080u)
#define CSL_EMIFA_IODFTGBLCTRL_ESEL_SHIFT (0x00000007u)
#define CSL_EMIFA_IODFTGBLCTRL_ESEL_RESETVAL (0x00000001u)
/*----ESEL Tokens----*/
#define CSL_EMIFA_IODFTGBLCTRL_ESEL_TESTMODE (0x00000000u)
#define CSL_EMIFA_IODFTGBLCTRL_ESEL_NORMALMODE (0x00000001u)

#define CSL_EMIFA_IODFTGBLCTRL_TOEN_MASK (0x00000040u)
#define CSL_EMIFA_IODFTGBLCTRL_TOEN_SHIFT (0x00000006u)
#define CSL_EMIFA_IODFTGBLCTRL_TOEN_RESETVAL (0x00000000u)
/*----TOEN Tokens----*/
#define CSL_EMIFA_IODFTGBLCTRL_TOEN_ENABLE (0x00000000u)
#define CSL_EMIFA_IODFTGBLCTRL_TOEN_DISABLE (0x00000001u)

#define CSL_EMIFA_IODFTGBLCTRL_MC_MASK (0x00000030u)
#define CSL_EMIFA_IODFTGBLCTRL_MC_SHIFT (0x00000004u)
#define CSL_EMIFA_IODFTGBLCTRL_MC_RESETVAL (0x00000001u)
/*----MC Tokens----*/
#define CSL_EMIFA_IODFTGBLCTRL_MC_DNLWD (0x00000000u)
#define CSL_EMIFA_IODFTGBLCTRL_MC_HOLD (0x00000001u)
#define CSL_EMIFA_IODFTGBLCTRL_MC_LWDINIT (0x00000002u)
#define CSL_EMIFA_IODFTGBLCTRL_MC_MISRENCAP (0x00000003u)

#define CSL_EMIFA_IODFTGBLCTRL_PC_MASK (0x0000000Eu)
#define CSL_EMIFA_IODFTGBLCTRL_PC_SHIFT (0x00000001u)
#define CSL_EMIFA_IODFTGBLCTRL_PC_RESETVAL (0x00000000u)

#define CSL_EMIFA_IODFTGBLCTRL_TM_MASK (0x00000001u)
#define CSL_EMIFA_IODFTGBLCTRL_TM_SHIFT (0x00000000u)
#define CSL_EMIFA_IODFTGBLCTRL_TM_RESETVAL (0x00000001u)

#define CSL_EMIFA_IODFTGBLCTRL_RESETVAL (0x00000091u)

/* IODFTMISRLSB */

#define CSL_EMIFA_IODFTMISRLSB_TLMR_31_0_MASK (0xFFFFFFFFu)
#define CSL_EMIFA_IODFTMISRLSB_TLMR_31_0_SHIFT (0x00000000u)
#define CSL_EMIFA_IODFTMISRLSB_TLMR_31_0_RESETVAL (0x00000000u)

#define CSL_EMIFA_IODFTMISRLSB_RESETVAL (0x00000000u)

/* IODFTMISRMID */

#define CSL_EMIFA_IODFTMISRMID_TLMR_62_32_MASK (0xFFFFFFFFu)
#define CSL_EMIFA_IODFTMISRMID_TLMR_62_32_SHIFT (0x00000000u)
#define CSL_EMIFA_IODFTMISRMID_TLMR_62_32_RESETVAL (0x00000000u)

#define CSL_EMIFA_IODFTMISRMID_RESETVAL (0x00000000u)

/* IODFTMISRMSB */


#define CSL_EMIFA_IODFTMISRMSB_TLMR_86_64_MASK (0x007FFFFFu)
#define CSL_EMIFA_IODFTMISRMSB_TLMR_86_64_SHIFT (0x00000000u)
#define CSL_EMIFA_IODFTMISRMSB_TLMR_86_64_RESETVAL (0x00000000u)

#define CSL_EMIFA_IODFTMISRMSB_RESETVAL (0x00000000u)

/* MODRELNUM */


#define CSL_EMIFA_MODRELNUM_RELEASE_NUM_MASK (0x000000FFu)
#define CSL_EMIFA_MODRELNUM_RELEASE_NUM_SHIFT (0x00000000u)
#define CSL_EMIFA_MODRELNUM_RELEASE_NUM_RESETVAL (0x00000000u)

#define CSL_EMIFA_MODRELNUM_RESETVAL (0x00000000u)

/* NANDF4BECCLR */


#define CSL_EMIFA_NANDF4BECCLR_4BIT_ECC_LOAD_MASK (0x000003FFu)
#define CSL_EMIFA_NANDF4BECCLR_4BIT_ECC_LOAD_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDF4BECCLR_4BIT_ECC_LOAD_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDF4BECCLR_RESETVAL (0x00000000u)

/* NANDF4BECC1R */


#define CSL_EMIFA_NANDF4BECC1R_4BIT_ECC_VAL2_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDF4BECC1R_4BIT_ECC_VAL2_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDF4BECC1R_4BIT_ECC_VAL2_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDF4BECC1R_4BIT_ECC_VAL1_MASK (0x000003FFu)
#define CSL_EMIFA_NANDF4BECC1R_4BIT_ECC_VAL1_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDF4BECC1R_4BIT_ECC_VAL1_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDF4BECC1R_RESETVAL (0x00000000u)

/* NANDF4BECC2R */


#define CSL_EMIFA_NANDF4BECC2R_4BIT_ECC_VAL4_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDF4BECC2R_4BIT_ECC_VAL4_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDF4BECC2R_4BIT_ECC_VAL4_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDF4BECC2R_4BIT_ECC_VAL3_MASK (0x000003FFu)
#define CSL_EMIFA_NANDF4BECC2R_4BIT_ECC_VAL3_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDF4BECC2R_4BIT_ECC_VAL3_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDF4BECC2R_RESETVAL (0x00000000u)

/* NANDF4BECC3R */


#define CSL_EMIFA_NANDF4BECC3R_4BIT_ECC_VAL6_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDF4BECC3R_4BIT_ECC_VAL6_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDF4BECC3R_4BIT_ECC_VAL6_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDF4BECC3R_4BIT_ECC_VAL5_MASK (0x000003FFu)
#define CSL_EMIFA_NANDF4BECC3R_4BIT_ECC_VAL5_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDF4BECC3R_4BIT_ECC_VAL5_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDF4BECC3R_RESETVAL (0x00000000u)

/* NANDF4BECC4R */


#define CSL_EMIFA_NANDF4BECC4R_4BIT_ECC_VAL8_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDF4BECC4R_4BIT_ECC_VAL8_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDF4BECC4R_4BIT_ECC_VAL8_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDF4BECC4R_4BIT_ECC_VAL7_MASK (0x000003FFu)
#define CSL_EMIFA_NANDF4BECC4R_4BIT_ECC_VAL7_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDF4BECC4R_4BIT_ECC_VAL7_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDF4BECC4R_RESETVAL (0x00000000u)

/* NANDFEA1R */


#define CSL_EMIFA_NANDFEA1R_ERR_ADDR2_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDFEA1R_ERR_ADDR2_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDFEA1R_ERR_ADDR2_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDFEA1R_ERR_ADDR1_MASK (0x000003FFu)
#define CSL_EMIFA_NANDFEA1R_ERR_ADDR1_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDFEA1R_ERR_ADDR1_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDFEA1R_RESETVAL (0x00000000u)

/* NANDFEA2R */


#define CSL_EMIFA_NANDFEA2R_ERR_ADDR4_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDFEA2R_ERR_ADDR4_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDFEA2R_ERR_ADDR4_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDFEA2R_ERR_ADDR3_MASK (0x000003FFu)
#define CSL_EMIFA_NANDFEA2R_ERR_ADDR3_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDFEA2R_ERR_ADDR3_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDFEA2R_RESETVAL (0x00000000u)

/* NANDFEV1R */


#define CSL_EMIFA_NANDFEV1R_ERR_VALUE2_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDFEV1R_ERR_VALUE2_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDFEV1R_ERR_VALUE2_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDFEV1R_ERR_VALUE1_MASK (0x000003FFu)
#define CSL_EMIFA_NANDFEV1R_ERR_VALUE1_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDFEV1R_ERR_VALUE1_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDFEV1R_RESETVAL (0x00000000u)

/* NANDFEV2R */


#define CSL_EMIFA_NANDFEV2R_ERR_ADDR4_MASK (0x03FF0000u)
#define CSL_EMIFA_NANDFEV2R_ERR_ADDR4_SHIFT (0x00000010u)
#define CSL_EMIFA_NANDFEV2R_ERR_ADDR4_RESETVAL (0x00000000u)


#define CSL_EMIFA_NANDFEV2R_ERR_ADDR3_MASK (0x000003FFu)
#define CSL_EMIFA_NANDFEV2R_ERR_ADDR3_SHIFT (0x00000000u)
#define CSL_EMIFA_NANDFEV2R_ERR_ADDR3_RESETVAL (0x00000000u)

#define CSL_EMIFA_NANDFEV2R_RESETVAL (0x00000000u)

#endif
